#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\opensave.h>
#include "pr24_1.rc"

// 
class TApp: public TApplication
{
  public:
	 TApp():TApplication(){}
	 void InitMainWindow();
};

//  
class TWndw:public TFrameWindow
{
  public:
	 TWndw(TWindow *parent, const char far *title);
  protected:
	 void CmFileOpen();

	 DECLARE_RESPONSE_TABLE (TWndw);
};

DEFINE_RESPONSE_TABLE1 (TWndw, TFrameWindow)
  EV_COMMAND(CM_FILEOPEN, CmFileOpen),
END_RESPONSE_TABLE;

TWndw::TWndw(TWindow *parent, const char far *title):
		  TFrameWindow(parent,title)
{
	//     .
	AssignMenu("MENU_1");
	//     .
	Attr.X=50;
	Attr.Y=50;
	Attr.W=GetSystemMetrics(SM_CXSCREEN)/3;
	Attr.H=GetSystemMetrics(SM_CXSCREEN)/4;
}

// TWndw::CmFileOpen()
//      Open File
//    File,    "".
void TWndw::CmFileOpen()
{
  char errorMsg[81];
  //   TData  . 
  TOpenSaveDialog::TData fileData (OFN_FILEMUSTEXIST | OFN_HIDEREADONLY 
      | OFN_PATHMUSTEXIST, 
     "  (*.*)|*.*|  (*.txt)|*.txt|", 0, 0, "*");
  //    Open. 
  TFileOpenDialog *dialog = new TFileOpenDialog(this, fileData);
  //    Open. 
  int result = dialog->Execute();
  //    "OK"  . 
  if (result == IDOK)
       MessageBox(fileData.FileName, " ", MB_OK); 
  else if (fileData.Error != 0)
       {
         wsprintf(errorMsg,"  #%ld.", fileData.Error); 
         MessageBox(errorMsg, "",  MB_OK | MB_ICONEXCLAMATION);
       }
}


void TApp::InitMainWindow()
{
  TFrameWindow *wndw= new TWndw(0,"  \" \"");
  SetMainWindow(wndw);
}

int OwlMain(int,char *[])
{
  return TApp().Run();
}
